from setuptools import setup, find_packages

setup(
    name='PyPeLoader',
    version='0.0.2',
    py_modules=['PyPeLoader'],
    packages=find_packages(include=[]),
    install_requires=[],
    scripts=[],
    author="Maurice Lambert",
    author_email="mauricelambert434@gmail.com",
    maintainer="Maurice Lambert",
    maintainer_email="mauricelambert434@gmail.com",
    description='This package implements a basic PE loader in python (can load simple executable like calc.exe, net1.exe, little malwares...)',
    long_description=open('README.md').read(),
    long_description_content_type="text/markdown",
    url="https://github.com/mauricelambert/PyPeLoader",
    project_urls={
        "Github": "https://github.com/mauricelambert/PyPeLoader",
        "Documentation": "https://mauricelambert.github.io/info/python/security/PyPeLoader.html",
        "Python Executable": "https://mauricelambert.github.io/info/python/security/PyPeLoader.pyz",
        "Windows Executable": "https://mauricelambert.github.io/info/python/security/PyPeLoader.exe",
    },
    download_url="https://mauricelambert.github.io/info/python/security/PyPeLoader.pyz",
    include_package_data=True,
    classifiers=[
        "Topic :: System",
        "Topic :: Security",
        "Environment :: Console",
        "Topic :: System :: Shells",
        "Natural Language :: English",
        "Programming Language :: Python",
        "Intended Audience :: Developers",
        "Topic :: System :: System Shells",
        "Programming Language :: Python :: 3.8",
        'Operating System :: Microsoft :: Windows',
        "Topic :: System :: Systems Administration",
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
    ],
    keywords=['PeLoader', 'Loader', 'Linker', 'WindowsLinker', 'Packer', 'MemoryExecution', 'AntivirusBypass', 'Antivirus', 'Bypass'],
    platforms=['Windows'],
    license="GPL-3.0 License",
    entry_points = {
        'console_scripts': [
            'PyPeLoader = PyPeLoader:main'
        ],
    },
    python_requires='>=3.8',
)
